%define name gnome-doc-utils
%define version 0.2.0
%define release %mkrel 1

Summary: GNOME XML documentation utilities 
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://ftp.gnome.org/pub/GNOME/sources/%name/%{name}-%{version}.tar.bz2
License: LGPL
Group: Publishing
Url: http://www.gnome.org
BuildRequires: libxslt-devel
BuildRequires: libxslt-proc
BuildRequires: scrollkeeper
BuildRequires: perl-XML-Parser
Requires: python-libxml2
PreReq: scrollkeeper
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch: noarch

%description
gnome-doc-utils is a collection of documentation utilities for the Gnome
project.  Notably, it contains utilities for building documentation and
all auxiliary files in your source tree, and it contains the DocBook
XSLT stylesheets that were once distributed with Yelp.  Starting with
Gnome 2.8, Yelp will require gnome-doc-utils for the XSLT.


%prep
%setup -q

%build
./configure --prefix=%_prefix --libdir=%_libdir --mandir=%_mandir
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
%find_lang gnome-doc-make --with-gnome
%find_lang gnome-doc-xslt --with-gnome
cat gnome-doc-xslt.lang gnome-doc-make.lang >> %name.lang

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -x %{_bindir}/scrollkeeper-update ]; then %{_bindir}/scrollkeeper-update -q || true ; fi

%postun
if [ -x %{_bindir}/scrollkeeper-update ]; then %{_bindir}/scrollkeeper-update -q || true ; fi


%files -f %name.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog README
#NEWS
%_bindir/*
%_libdir/pkgconfig/*.pc
%_datadir/aclocal/*.m4
%_datadir/gnome-doc-utils/
%dir %_datadir/omf/gnome-doc-make/
%_datadir/omf/gnome-doc-make/gnome-doc-make-C.omf
%dir %_datadir/omf/gnome-doc-xslt/
%_datadir/omf/gnome-doc-xslt/gnome-doc-xslt-C.omf
%dir %_datadir/xml/
%_datadir/xml/gnome
%_datadir/xml2po/
%_mandir/man1/xml2po.1*

%changelog
* Wed Aug 17 2005 Isenmann Daniel <rpm@mandrivauser.de> 0.2.0-1mud
- rebuild for Mandriva 10.1

* Mon Apr 04 2005 Götz Waschk <waschk@linux-mandrake.com> 0.2.0-1mdk
- New release 0.2.0

* Mon Mar  7 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.1.3-1mdk
- update file list
- New release 0.1.3

* Fri Jan 14 2005 Goetz Waschk <waschk@linux-mandrake.com> 0.1.2-1mdk
- New release 0.1.2

* Mon Jan  3 2005 Goetz Waschk <waschk@linux-mandrake.com> 0.1.1-1mdk
- New release 0.1.1

* Wed Nov  3 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.1-3mdk
- buildrequires fix

* Mon Nov  1 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.1-2mdk
- add scrollkeeper scripts
- fix deps

* Mon Nov  1 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.1-1mdk
- initial package
